cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/layout \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"layout":[{"pluginInstallId":"string","x":0,"y":0,"w":0,"h":0}]}'{
"id": "<string>",
"layout": [
{
"pluginInstallId": "<string>",
"x": 123,
"y": 123,
"w": 123,
"h": 123
}
]
}plugin-panel
Patch table plugin panel layout
Update the layout of a plugin panel
PATCH
/
table
/
{tableId}
/
plugin-panel
/
{pluginPanelId}
/
layout
cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/plugin-panel/%7BpluginPanelId%7D/layout \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"layout":[{"pluginInstallId":"string","x":0,"y":0,"w":0,"h":0}]}'{
"id": "<string>",
"layout": [
{
"pluginInstallId": "<string>",
"x": 123,
"y": 123,
"w": 123,
"h": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Last modified on March 5, 2026
Was this page helpful?
⌘I

